org.apache.olingo.commons.api.edm.geo

## Class Point

- java.lang.Object
- - org.apache.olingo.commons.api.edm.geo.Geospatial
  - - org.apache.olingo.commons.api.edm.geo.Point

-     public class Point
      extends Geospatial

  Represents a point, either Edm.GeographyPoint or Edm.GeometryPoint.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.olingo.commons.api.edm.geo.Geospatial

      `Geospatial.Dimension, Geospatial.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.geo.Geospatial

      `dimension, srid, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Point(Geospatial.Dimension dimension, SRID srid)` Creates a new point.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `EdmPrimitiveTypeKind` | `getEdmPrimitiveTypeKind()` Returns the `EdmPrimitiveTypeKind`
    `double` | `getX()` Returns the x coordinate.
    `double` | `getY()` Returns the y coordinate.
    `double` | `getZ()` Returns the z coordinate.
    `int` | `hashCode()`
    `void` | `setX(double x)` Sets the x coordinate.
    `void` | `setY(double y)` Sets the y coordinate.
    `void` | `setZ(double z)` Sets the z coordinate.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.geo.Geospatial

      `getDimension, getGeoType, getSrid`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Point

          public Point(Geospatial.Dimension dimension,
                       SRID srid)

      Creates a new point.
      Parameters:
        `dimension` - Dimension of the point
        `srid` - SRID value

  - ### Method Detail

    - #### getX

          public double getX()

      Returns the x coordinate.
      Returns:
        x coordinate

    - #### setX

          public void setX(double x)

      Sets the x coordinate.
      Parameters:
        `x` - x coordinate

    - #### getY

          public double getY()

      Returns the y coordinate.
      Returns:
        y coordinate

    - #### setY

          public void setY(double y)

      Sets the y coordinate.
      Parameters:
        `y` - y coordinate

    - #### getZ

          public double getZ()

      Returns the z coordinate.
      Returns:
        z coordinate

    - #### setZ

          public void setZ(double z)

      Sets the z coordinate.
      Parameters:
        `z` - z coordinate

    - #### getEdmPrimitiveTypeKind

          public EdmPrimitiveTypeKind getEdmPrimitiveTypeKind()

      Description copied from class: `Geospatial`
      Returns the `EdmPrimitiveTypeKind`
      Specified by:
        `getEdmPrimitiveTypeKind` in class `Geospatial`
      Returns:
        EDM primitive type kind

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.